<div class="tab-content margin-bottom">
	<div class="tab-pane fade in active" id="tabOverview">
		{if $fwdstatusshow}
			{if $fwdstatus}
			<div class="alert alert-success">
				<strong>{$LANG.moduleactionsuccess}</strong>
				<br/>
				{$fwdcomment}
			</div>
			{else}
			<div class="alert alert-danger">
				<strong>{$LANG.clientareaerrors}</strong>
				<br/>
				{$fwdcomment}
			</div>
			{/if}
		{/if}

		{if !$fwdstatus}
			<div class="alert alert-info">
				<p align="center">Click on the button below to activate the Domain Forwarding Service for <strong>{$domain}</strong></p>
			</div>
			<form method="post" action="{$smarty.server.PHP_SELF}?domainid={$domainid}">
				<input type="hidden" name="domain" value="{$domain}"/>
				<p align="center"><input class="btn btn-info" type="submit" value="Activate Domain Forwarding"/></p>
			</form>
		{else}
			<form class="form-horizontal" method="post" action="{$smarty.server.PHP_SELF}?action=update&domainid={$domainid}">
				<table class="table table-striped table-condensed table-hover">
					<tr>
						<td>
							<div class="form-group">
								<label class="control-label col-xs-3">Destination</label>
								<div class="col-xs-8">
									<p class="form-control-static">URL where you wish to forward requests for and www.<br><strong>Note</strong>: Insert the URL with http:// or https://</p>
									<input class="form-control" name="target" type="text" value="{$fwdtarget}">
								</div>
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<div class="form-group">
								<label class="control-label col-xs-3">URL Masking</label>
								<div class="col-xs-8">
									<p class="form-control-static">Enabling URL masking will ensure that your visitors see the source URL and not the destination URL</p>
									<label class="radio-inline">
										<input name="type" type="radio" {if $fwdtype eq "iframe"}checked{/if} id="radio" value="iframe"> Yes
									</label>
									<label class="radio-inline">
										<input name="type" type="radio" {if $fwdtype eq "redirect"}checked{/if} id="radio" value="redirect" > No
									</label>
								</div>
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<div class="form-group">
								<label class="control-label col-xs-3">Header Tags</label>
								<div class="col-xs-8">
									<p class="form-control-static">Enabling URL Masking will serve a "Frames" page to the browser. You can add TITLE and META tags for your "Frames" page here.<br><strong>Examples</strong>:<br><code>&lt;title&gt;My Home page&lt;/title&gt;</code><br><code>&lt;meta name="keywords" CONTENT="keyword1, keyword2, etc."&gt;</code><br><code>&lt;meta name="description" CONTENT="website description"&gt;</code><br><strong>Note</strong>: Do not add the tags <code>&lt;head&gt;&lt;/head&gt;</code>. This will be added automatically.</p>
									<textarea class="form-control" rows="4" name="header" id="headertags">{$fwdheader}</textarea>
								</div>
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<div class="form-group">
								<label class="control-label col-xs-3">No Frames Content</label>
								<div class="col-xs-8">
									<p class="form-control-static">Enabling URL masking will serve a "Frames" page to the browser. You may want to set an alternate "noframes" page content for search engines. Enter your HTML within in the "No Frames Content" box to set alternate page content.<br><strong>Note</strong>: Do not add the tags <code>&lt;noframes&gt;&lt;/noframes&gt;</code>. This will be added automatically.</p>
									<textarea class="form-control" rows="4" name="noframe" id="noframes">{$fwdnoframe}</textarea>
								</div>
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<div class="form-group">
								<label class="control-label col-xs-3">Subdomain Forwarding</label>
								<div class="col-xs-8">
									<p class="form-control-static">Enabling Sub Domain Forwarding will forward a request made to http://subdomain. to http:///subdomain/</p>
									<label class="radio-inline">
										<input name="subdomain" type="radio" id="radio" value="1" {if $fwdsubdomain eq "1"}checked{/if} > Yes
									</label>
									<label class="radio-inline">
										<input name="subdomain" type="radio" id="radio" value="0" {if $fwdsubdomain eq "0"}checked{/if} > No
									</label>
								</div>
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<div class="form-group">
								<label class="control-label col-xs-3">Path Forwarding</label>
								<div class="col-xs-8">
									<p class="form-control-static">Enabling Path Forwarding will forward requests made to http://source_url/some/path to http://destination_url/some/path</p>
									<label class="radio-inline">
										<input name="path" type="radio" id="radio" value="1" {if $fwdpath eq "1"}checked{/if}> Yes
									</label>
									<label class="radio-inline">
										<input name="path" type="radio" id="radio" value="0" {if $fwdpath eq "0"}checked{/if}> No
									</label>
								</div>
							</div>
						</td>
					</tr>
				</table>
				<div class="text-center">
					<input type="submit" value="Save Changes" class="btn btn-success">
				</div>
			</form>
		{/if}

		<br />
		
		<form method="post" action="{$smarty.server.PHP_SELF}?domain={$domain}&domainid={$domainid}">
			<p align="center"><input type="submit" value="{$LANG.clientareabacklink}" class="btn"/></p>
		</form>
	
	</div>
</div>