
<div class="tab-content margin-bottom">
	<div class="tab-pane active" id="tabOverview">
		<div class="alert alert-warning">
			<p><strong>Warning! </strong>Make sure you understand using DNSSEC function, failure when creating record will make your domain cannot be accessed.</p>
		</div>
		{if $success}
		<div class="alert alert-success">
			<p><strong>Congratulations!</strong></p>
			<p>{$success}</p>
		</div>
		{/if}
		{if $error}
		<div class="alert alert-danger">
			<p><strong>Error!</strong></p>
			<p>{$error}</p>
		</div>
		{/if}

		<div class="dataTables_wrapper form-inline dt-bootstrap no-footer">
			<div class="listtable">
				<table class="table table-striped table-list">
					<thead>
						<tr>
							<th style="width:100px;">Key Tag</th>
							<th style="width:100px;">Algorithm</th>
							<th style="width:100px;">Digest Type</th>
							<th>Digest</th>
							<th style="width:100px;" class='text-right'>Action</th>
						</tr>
					</thead>
					<tbody>
						{if $records|@count ge 1}
							{foreach key=num item=record from=$records}
								<tr>
									<td class="text-center">{$record.keytag}</td>
									<td class="text-center">{$record.algorithm}</td>
									<td class="text-center">{$record.digesttype}</td>
									<td class="text-center">{$record.digest}</td>
									<td class='text-right'>
										<form method="POST" action="{$smarty.server.PHP_SELF}?domain={$domain}&domainid={$domainid}" onclick="return confirmDelete();">
											<input type="hidden" name="action" value="delete">
											<input type="hidden" name="domain" value="{$domain}">
											<input type="hidden" name="recordid" value="{$record.id}">
											<button type="submit" class="btn btn-danger btn-sm">Delete</button>
										</form>
									</td>
								</tr>
							{/foreach}
						{else}
							<tr>
								<td colspan="8">{$LANG.norecordsfound}</td>
							</tr>
						{/if}
					</tbody>
				</table>
			</div>
		</div>

		<form action="{$smarty.server.PHP_SELF}?domain={$domain}&domainid={$domainid}" class="form-horizontal" method="post">
			<h3>Add record for {$domain}</h3>
			<br/>
			<input type="hidden" name="action" value="add">
			<div class="form-group">
				<label class="control-label col-xs-3">Key Tag</label>
				<div class="col-xs-6">
					<input class="form-control" id="keytag" name="keytag" type="text" placeholder="Should be an integer between 0 and 65535" required>
				</div>
			</div>
			<div class="form-group">
				<label class="control-label col-xs-3">Algorithm</label>
				<div class="col-xs-6">
					<select class="form-control" name="algorithm" id="algorithm">
						<option value="1">RSA/MD5 (1)</option>
						<option value="2">Diffie-Hellman (2)</option>
						<option value="3">DSA-SHA1 (3)</option>
						<option value="4">Elliptic Curve (ECC) (4)</option>
						<option value="5">RSA-SHA1 (5)</option>
						<option value="6">DSA-SHA1-NSEC3 (6)</option>
						<option value="7">RSA-SHA1-NSEC3 (7)</option>
						<option value="8">RSA-SHA256 (8)</option>
						<option value="10">RSA-SHA512 (10)</option>
						<option value="13">ECDSA Curve P-256 with SHA-256 (13)</option>
						<option value="252">Indirect (252)</option>
						<option value="253">Private [PRIVATEDNS] (253)</option>
						<option value="254">Private [PRIVATEOID] (254)</option>
					</select>
				</div>
			</div>
			<div class="form-group">
				<label class="control-label col-xs-3">Digest Type</label>
				<div class="col-xs-6">
					<select class="form-control" name="digesttype" id="digesttype">
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
					</select>
				</div>
			</div>
			<div class="form-group">
				<label class="control-label col-xs-3">Digest</label>
				<div class="col-xs-6">
					<input class="form-control" id="digest" name="digest" type="text" placeholder="Should be 40 or 64 characters long" required>
				</div>
			</div>
			<div class="form-group">
				<div class="col-xs-offset-3 col-xs-6">
					<input type="submit" class="btn btn-success form-control" value="Add Record">
				</div>
			</div>
		</form>

		<br/>
		<form method="post" action="clientarea.php?action=domaindetails&id={$domainid}">
			<input type="hidden" name="id" value="{if $domainid}{$domainid}{else}{$id}{/if}"/>
			<input type="hidden" name="domain" value="{$domain}"/>
			<p align="center"><input type="submit" value="{$LANG.clientareabacklink}" class="btn"/></p>
		</form>
	</div>
</div>

<style>
	table {
		table-layout: fixed;
		width: 100%;
		word-wrap: break-word;
	}
</style>